"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractWords = void 0;
const findFirstWordIndex_1 = require("./findFirstWordIndex");
const extractWords = (file, locale) => {
    const lines = file.split(/\r?\n/g);
    const firstWordIndex = (0, findFirstWordIndex_1.findFirstWordIndex)(lines, locale);
    const words = [];
    for (let i = firstWordIndex; i < lines.length; ++i) {
        const trimmed = lines[i].trim();
        if (trimmed.length > 0) {
            words.push(trimmed.toLocaleLowerCase());
        }
    }
    return words;
};
exports.extractWords = extractWords;
